﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.Regions;

namespace PrismEvent.Publisher
{
    public class PublisherModule : IModule
    {
        public IUnityContainer container;
        public IRegionManager regionManager;

        public PublisherModule(IUnityContainer container, IRegionManager regionManager)
        {
            this.container = container;
            this.regionManager = regionManager;
        }

        #region IModule Members

        public void Initialize()
        {
            regionManager.Regions["PublisherRegion"].Add(container.Resolve<PublisherView>());
        }

        #endregion
    }
}