﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Events;
using PrismEvent.Infrastructure;

namespace PrismEvent.Publisher
{
    /// <summary>
    /// Interaction logic for PublisherView.xaml
    /// </summary>
    public partial class PublisherView : UserControl
    {
        IEventAggregator eventAggregator;

        public PublisherView()
        {
            InitializeComponent();
        }

        public PublisherView(IEventAggregator eventAggregator)
            : this()
        {
            this.eventAggregator = eventAggregator;
        }

        private void btnSimpleParam_Click(object sender, RoutedEventArgs e)
        {
            string messgae = "Hello world!";
            eventAggregator.GetEvent<MessageAddedEvent>().Publish(messgae);
        }

        private void btnCompositeParam_Click(object sender, RoutedEventArgs e)
        {
            News news = new News() { 
                Title = "Bao's demo was published.", 
                Content = "This message is wonderful." 
            };

            eventAggregator.GetEvent<NewsAddedEvent>().Publish(news);
        }

        private void btnWithoutParam_Click(object sender, RoutedEventArgs e)
        {
            eventAggregator.GetEvent<NullableEvent>().Publish(null);
        }

        private void btnStandard_Click(object sender, RoutedEventArgs e)
        {
            string messgae = "Open seasame!";
            eventAggregator.GetEvent<StandardMessageAddedEvent>().Publish(messgae);
        }
    }
}