﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Composite.Modularity;
using PrismEvent.Publisher;
using PrismEvent.Subscriber;
using System.Windows;

namespace PrismEvent
{
    public class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
            Shell shell = Container.Resolve<Shell>();
            shell.Show();

            return shell;
        }

        protected override void InitializeModules()
        {
            IModule moduleA = Container.Resolve<SubscriberModule>();
            IModule moduleB = Container.Resolve<PublisherModule>();

            moduleA.Initialize();
            moduleB.Initialize();
        }
    }
}